Check Number Portability
curl --request GET \
--url https://api.bland.ai/v1/sip/port/check \
--header 'authorization: <authorization>'import requests
url = "https://api.bland.ai/v1/sip/port/check"
headers = {"authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {authorization: '<authorization>'}};
fetch('https://api.bland.ai/v1/sip/port/check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"results": [
{
"phone_number": "+14150000000",
"portable": true,
"number_type": "landline",
"pin_required": false
},
{
"phone_number": "+14150000001",
"portable": true,
"number_type": "mobile",
"pin_required": true
}
]
},
"errors": null
}
Number Porting
Check Number Portability
Check whether phone numbers are eligible for porting to Bland.
GET
/
v1
/
sip
/
port
/
check
Check Number Portability
Headers
Your API key for authentication.
Query Parameters
Array of phone numbers to check. Must be in E.164 format.
Response
Array of portability check results. Each includes:
phone_number(string) — The phone number checkedportable(boolean) — Whether the number can be portednumber_type(string) — Type of number:"mobile","landline","toll-free", etc.pin_required(boolean) — Whether a PIN from the losing carrier is required
Example Request
curl -X GET 'https://api.bland.ai/v1/sip/port/check?phone_numbers[]=%2B14150000000&phone_numbers[]=%2B14150000001' \
-H "Authorization: Bearer <token>"
{
"data": {
"results": [
{
"phone_number": "+14150000000",
"portable": true,
"number_type": "landline",
"pin_required": false
},
{
"phone_number": "+14150000001",
"portable": true,
"number_type": "mobile",
"pin_required": true
}
]
},
"errors": null
}
Docs for agents: llms.txt
Was this page helpful?
⌘I